Get all inspection communication items

get

/fscmRestApi/resources/11.13.18.05/publicSectorInspectionCommunicationsWithoutTransients

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables:

    • PrimaryKey: Finds an inspection communication item using the specified inspection identifiers.
      Finder Variables:
      • InspectionId; string; The unique identifier for an inspection.
      • LnpRecordKey; integer; The unique identifier for a record.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • Applicant; integer; The party ID of the person applying for the application.
    • ApplicantEmailAddress1; string; The permit applicant???s email address.
    • ApplicantEmailAddress2; string; The permit applicant???s additional email address.
    • ApplicantPersonName; string; The permit applicant???s name.
    • ApplicantPersonNameSuffix; string; The suffix for the permit applicant???s name.
    • ApplicantPhoneAreaCode; string; The area code for the permit applicant???s phone number.
    • ApplicantPhoneCountryCode; string; The country code for the permit applicant???s phone number.
    • ApplicantPhoneExtension; string; The extension for the permit applicant???s phone number.
    • ApplicantPhoneNumber; string; The permit applicant???s phone number.
    • AssessFee; string; Indicates whether fees should be assessed for the inspection.
    • ContactEmail; string; The email address of the contact at the inspection site.
    • ContactName; string; The name of the contact at the inspection site.
    • EstimatedTimeArrival; string; The earliest estimated arrival time at the building inspection site.
    • EstimatedTimeArrivalEnd; string; The latest estimated arrival time at the building inspection site.
    • FeesBalanceDue; number; The balance due for the inspection.
    • FinalInspection; string; Indicates whether this is the final inspection (default is no).
    • GenJobCost; number; The construction job cost (used in the Construction Information component of the Permit Designer).
    • HideFromUserFlag; string; Indicates whether the inspection is displayed to a nonagency user before completion (default is false, meaning it is always displayed to nonagency users).
    • InspectionAddress1; string; The first address line of the building inspection site.
    • InspectionAddress2; string; The second address line of the building inspection site.
    • InspectionCity; string; The city in the building inspection site address.
    • InspectionCompleteDttm; string; The date and time the inspection was completed.
    • InspectionCountry; string; The country in the building inspection site address.
    • InspectionCounty; string; The county in the building inspection site address.
    • InspectionId; string; The unique identifier of an inspection.
    • InspectionKey; integer; The key for an inspection record.
    • InspectionLocation; string; The location where the inspection will be performed.
    • InspectionPostalCode; string; The postal code in the building inspection site address.
    • InspectionProvince; string; The province in the building inspection site address.
    • InspectionRating; string; The overall inspection rating, calculated using a defined rating method.
    • InspectionResult; string; The inspection result (for example, Pass, Fail, Yes, or No).
    • InspectionResultDescr; string; The inspection result description.
    • InspectionScore; integer; The calculated total inspection score.
    • InspectionState; string; The state in the building inspection site address.
    • InspectionStatus; string; The description of the inspection status.
    • InspectionType; string; The unique identifier of an inspection type.
    • InspectorId; integer; The inspector assigned to the inspection.
    • InspectorName; string; The inspector???s name.
    • LastGisSyncDatetime; string; The date and time the transaction information was last synchronized to GIS.
    • LnpRecordId; string; The building permit record identifier (for example, Building Permit ID RA-2017-00029).
    • LnpRecordKey; integer; The unique identifier of a permit record.
    • LocationLatitude; number; The latitude of the inspection location.
    • LocationLongitude; number; The longitude of the inspection location.
    • NumberMajorViolations; integer; The total number of major violations for the inspection.
    • Owner; string; The primary (or only) owner of the parcel or property.
    • OwnerEmailId; string; The parcel owner???s email address.
    • ParcelId; integer; The identifier of the record parcel.
    • ParcelIdEntered; string; The unique identifier of the parcel retrieved from the map.
    • PermitDescription; string; The permit record description.
    • PermitStatus; string; The permit record status.
    • PermitStatusDescription; string; The permit record status description.
    • PermitSystemStatus; string; The permit record status code.
    • RecordType; string; The permit type shown on the inspection schedule page (for example, a residential addition).
    • RecordTypeId; string; The unique alphanumeric code or short name for the record type.
    • ReinspectionFlag; string; Indicates whether the inspection is a reinspection (default is no).
    • ReinspectionIdBy; string; The unique identifier of the reinspection.
    • ReinspectionIdOf; string; The unique identifier of the failed inspection that requires a reinspection.
    • RequiredFlag; string; Indicates whether the inspection is required (defaults from the inspection group; if not available, the default is no/not required).
    • ScheduledEndDttm; string; The scheduled inspection end date.
    • ScheduledStartDttm; string; The scheduled inspection start date.
    • SecondaryOwner; string; The secondary owner of the parcel or property.
    • SystemResult; string; The unique alphanumeric code or short name for the inspection result.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : publicSectorInspectionCommunicationsWithoutTransients
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : publicSectorInspectionCommunicationsWithoutTransients-item-response
Type: object
Show Source
Back to Top